# gdcm_j2k.h File Reference

Go to the source code of this file.

## Classes
struct | opj_cp
struct | opj_j2k
struct | opj_stepsize
struct | opj_tccp
struct | opj_tcp
## Defines
#define | J2K_CCP_CBLKSTY_LAZY 0x01
#define | J2K_CCP_CBLKSTY_PTERM 0x10
#define | J2K_CCP_CBLKSTY_RESET 0x02
#define | J2K_CCP_CBLKSTY_SEGSYM 0x20
#define | J2K_CCP_CBLKSTY_TERMALL 0x04
#define | J2K_CCP_CBLKSTY_VSC 0x08
#define | J2K_CCP_CSTY_PRT 0x01
#define | J2K_CCP_QNTSTY_NOQNT 0
#define | J2K_CCP_QNTSTY_SEQNT 2
#define | J2K_CCP_QNTSTY_SIQNT 1
#define | J2K_CP_CSTY_EPH 0x04
#define | J2K_CP_CSTY_PRT 0x01
#define | J2K_CP_CSTY_SOP 0x02
#define | J2K_MS_COC 0xff53
#define | J2K_MS_COD 0xff52
#define | J2K_MS_COM 0xff64
#define | J2K_MS_CRG 0xff63
#define | J2K_MS_EOC 0xffd9
#define | J2K_MS_EPH 0xff92
#define | J2K_MS_PLM 0xff57
#define | J2K_MS_PLT 0xff58
#define | J2K_MS_POC 0xff5f
#define | J2K_MS_PPM 0xff60
#define | J2K_MS_PPT 0xff61
#define | J2K_MS_QCC 0xff5d
#define | J2K_MS_QCD 0xff5c
#define | J2K_MS_RGN 0xff5e
#define | J2K_MS_SIZ 0xff51
#define | J2K_MS_SOC 0xff4f
#define | J2K_MS_SOD 0xff93
#define | J2K_MS_SOP 0xff91
#define | J2K_MS_SOT 0xff90
#define | J2K_MS_TLM 0xff55
## Typedefs
typedef enum J2K_STATUS | J2K_STATUS
typedef enum T2_MODE | J2K_T2_MODE
typedef struct opj_cp | opj_cp_t
typedef struct opj_j2k | opj_j2k_t
typedef struct opj_stepsize | opj_stepsize_t
typedef struct opj_tccp | opj_tccp_t
typedef struct opj_tcp | opj_tcp_t
## Enumerations
enum | J2K_STATUS { J2K_STATE_MHSOC = 0x0001, J2K_STATE_MHSIZ = 0x0002, J2K_STATE_MH = 0x0004, J2K_STATE_TPHSOT = 0x0008, J2K_STATE_TPH = 0x0010, J2K_STATE_MT = 0x0020, J2K_STATE_NEOC = 0x0040, J2K_STATE_ERR = 0x0080 }
enum | T2_MODE { THRESH_CALC = 0, FINAL_PASS = 1 }
## Functions
Exported functions
char * | j2k_convert_progression_order (OPJ_PROG_ORDER prg_order)
opj_j2k_t * | j2k_create_compress (opj_common_ptr cinfo)
opj_j2k_t * | j2k_create_decompress (opj_common_ptr cinfo)
opj_image_t * | j2k_decode (opj_j2k_t *j2k, opj_cio_t *cio, opj_codestream_info_t *cstr_info)
opj_image_t * | j2k_decode_jpt_stream (opj_j2k_t *j2k, opj_cio_t *cio, opj_codestream_info_t *cstr_info)
void | j2k_destroy_compress (opj_j2k_t *j2k)
void | j2k_destroy_decompress (opj_j2k_t *j2k)
bool | j2k_encode (opj_j2k_t *j2k, opj_cio_t *cio, opj_image_t *image, opj_codestream_info_t *cstr_info)
void | j2k_setup_decoder (opj_j2k_t *j2k, opj_dparameters_t *parameters)
void | j2k_setup_encoder (opj_j2k_t *j2k, opj_cparameters_t *parameters, opj_image_t *image)